bglibs: str Struct Reference

bglibs

Data Fields
str Struct Reference
str: Dynamically allocated string library.

`#include <str.h>`

## Data Fields
char * | s
unsigned | len
unsigned | size

## Detailed Description

The basic string structure.

Note
  Initialize to `{0,0,0}`.

## Field Documentation

## ◆ len

unsigned str::len

The length of the string data inside the above block. May be used directly by programs, but should not be assigned a non-zero value.

Referenced by dns_domain_todot_cat(), dns_qualify_rules(), dns_resolvconfrewrite(), envstr_unset(), fnmatch(), ibuf_getnetstring(), ibuf_getstr_crlf(), path_match(), str_case_end(), str_case_endb(), str_case_match(), str_case_matchb(), str_case_start(), str_case_startb(), str_cat(), str_cat2s(), str_cat3s(), str_cat4s(), str_cat5s(), str_cat6s(), str_catb(), str_catc(), str_catfv(), str_catsllnumw(), str_catsnumw(), str_catullnumw(), str_catunumw(), str_cmp(), str_cmpb(), str_copy(), str_copy2s(), str_copy3s(), str_copy4s(), str_copy5s(), str_copy6s(), str_copyb(), str_copyfv(), str_copyns(), str_diff(), str_diffb(), str_end(), str_endb(), str_findnext(), str_findnextnot(), str_findnextof(), str_findprev(), str_findprevnot(), str_findprevof(), str_free(), str_init(), str_join(), str_joinb(), str_lcut(), str_lstrip(), str_match(), str_matchb(), str_rcut(), str_rstrip(), str_sort(), str_start(), str_startb(), str_subst(), str_truncate(), striter_advance(), and striter_valid().

## ◆ s

char* str::s

The pointer to the allocated data. This string will always be terminated with a `NUL` byte to ensure compatibility with standard C string functions. May be used directly by programs, but should not be assigned.

Referenced by dns_domain_todot_cat(), dns_qualify(), dns_qualify_rules(), dns_read_resolvconf(), dns_resolvconfip(), dns_resolvconfrewrite(), envstr_unset(), fnmatch(), ibuf_getnetstring(), ibuf_getstr_crlf(), path_mktemp(), str_alloc(), str_case_end(), str_case_endb(), str_case_match(), str_case_matchb(), str_case_start(), str_case_startb(), str_cat(), str_cat2s(), str_cat3s(), str_cat4s(), str_cat5s(), str_cat6s(), str_catb(), str_catc(), str_catfv(), str_catsllnumw(), str_catsnumw(), str_catullnumw(), str_catunumw(), str_cmp(), str_cmpb(), str_copy(), str_copy2s(), str_copy3s(), str_copy4s(), str_copy5s(), str_copy6s(), str_copyb(), str_copyfv(), str_countof(), str_diff(), str_diffb(), str_end(), str_endb(), str_findnext(), str_findnextnot(), str_findnextof(), str_findprev(), str_findprevnot(), str_findprevof(), str_free(), str_init(), str_join(), str_joinb(), str_lcut(), str_lower(), str_lstrip(), str_match(), str_matchb(), str_rstrip(), str_sort(), str_start(), str_startb(), str_subst(), str_truncate(), str_upper(), str_xlate(), striter_advance(), striter_start(), and surf().

## ◆ size

unsigned str::size

The size of the above block.

Referenced by fnmatch(), str_alloc(), str_free(), and str_init().

The documentation for this struct was generated from the following file:

- str.h